/*
#include "client/rich_text_handler.hpp"

QTextCursor RichTextHandler::textCursor() const {

}

RichTextHandler::RichTextHandler(QObject* parent)
  : QObject(parent) {}

QQuickItem* RichTextHandler::getTarget() const {return target;}
void RichTextHandler::setTarget(QQuickItem* target) {
  if (this->target == target) return;
  target_doc = nullptr;
  this->target = target;
  if(!target) return;

  QVariant doc = this->target->property("textDocument");
  if(doc.canConvert<QQuickTextDocument*>())
    if(auto qqt_doc = doc.value<QQuickTextDocument*>(); qqt_doc)
      target_doc = qqt_doc->textDocument();

  emit targetChanged(this->target);
}
*/
